CS::Mesh::iAnimatedMeshSubMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iAnimatedMeshSubMesh Struct Reference
Mesh plugins

Sub mesh (part) of an animated mesh. More...

`#include <imesh/animesh.h>`

Inheritance diagram for CS::Mesh::iAnimatedMeshSubMesh:

List of all members.

## Public Member Functions
virtual iAnimatedMeshSubMeshFactory * | GetFactorySubMesh ()=0
| Get the factory of this submesh.
virtual iMaterialWrapper * | GetMaterial () const =0
| Get the material of this submesh.
virtual iShaderVariableContext * | GetShaderVariableContext (size_t buffer) const =0
| Get a shader variable context for this submesh.
virtual bool | IsRendering () const =0
| Get whether or not this submesh has to be rendered.
virtual void | SetMaterial (iMaterialWrapper *material)=0
| Set the material of this submesh, or 0 to use the material of the factory.
virtual void | SetRendering (bool doRender)=0
| Set whether or not this submesh has to be rendered.

## Detailed Description

Sub mesh (part) of an animated mesh.

It can be used to apply various materials and rendering parameters on sub-parts of the animated mesh.

Definition at line 734 of file animesh.h.

## Member Function Documentation

virtual iAnimatedMeshSubMeshFactory* CS::Mesh::iAnimatedMeshSubMesh::GetFactorySubMesh | ( |  | ) | `[pure virtual]`

Get the factory of this submesh.

virtual iMaterialWrapper* CS::Mesh::iAnimatedMeshSubMesh::GetMaterial | ( |  | ) | const`[pure virtual]`

Get the material of this submesh.

virtual iShaderVariableContext* CS::Mesh::iAnimatedMeshSubMesh::GetShaderVariableContext | ( | size_t | buffer | ) | const`[pure virtual]`

Get a shader variable context for this submesh.

virtual bool CS::Mesh::iAnimatedMeshSubMesh::IsRendering | ( |  | ) | const`[pure virtual]`

Get whether or not this submesh has to be rendered.

virtual void CS::Mesh::iAnimatedMeshSubMesh::SetMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

Set the material of this submesh, or 0 to use the material of the factory.

virtual void CS::Mesh::iAnimatedMeshSubMesh::SetRendering | ( | bool | doRender | ) | `[pure virtual]`

Set whether or not this submesh has to be rendered.

The documentation for this struct was generated from the following file:

- imesh/animesh.h